package com.storlead.framework.mybatis.service;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.storlead.framework.common.constant.CommonConstant;
import org.springframework.util.CollectionUtils;

import java.util.List;
import java.util.Objects;

public interface MyBaseService <T> extends IService<T> {

    /**
     * 删除
     * @param id
     * @return
     */
    Boolean lgDelete(Long id);


    /**
     * 删除
     * @param ids
     * @return
     */
    Boolean lgDelete(List<Long> ids);

    /**
     * 查询
     * @param ids
     * @return
     */
    List<T> listByIds(List<Long> ids);

    /**
     * 启用
     * @param ids
     * @return
     */
    Boolean enable(List<Long> ids);

    /**
     * 启用
     * @param id
     * @return
     */
    Boolean enable(Long id);

    /**
     * 禁用
     * @param ids
     * @return
     */
    Boolean disable(List<Long> ids);

    /**
     * 禁用
     * @param id
     * @return
     */
    Boolean disable(Long id);
}
